var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import { h } from 'preact';
import getComponent from './utils/get-styled-component';

const supportEmail = 'support@anesthesiacharting.com';

export const Link = getComponent({
  baseClasses: 'link dark-blue underline hover-light-blue',
  tagName: 'a'
});

export const SupportLink = props => h(
  Link,
  _extends({ href: `mailto:${supportEmail}` }, props),
  supportEmail
);