import { h } from 'preact';

export default (({ name, code, children }) => h(
  "div",
  { className: "bg-white pa3 br3 mt3" },
  h(
    "h3",
    { className: "mt0" },
    name
  ),
  h(
    "div",
    { className: "fw6 mv2" },
    "Code:"
  ),
  h(
    "code",
    { className: "light-blue dib bg-black-90 pa2 br2 overflow-x-auto w-100" },
    h(
      "pre",
      { className: "ma0 f6" },
      code
    )
  ),
  h(
    "div",
    { className: "fw6 mv2" },
    "Output:"
  ),
  h(
    "div",
    null,
    children
  )
));